Subject: Re: [PATCH v2 5/5] remote: announce removal of "branches/" and "remotes/"

From: Junio C Hamano <[email-masked]>
Date: Mon, 06 Jan 2025 07:53:46 -0800

Christian Couder <[email-masked]> writes:

> What I like about the removal of git-pack-redundant(1) in the previous
> patch is that we started to emit a user-visible warning in 2020 and
> now users even have to pass an `--i-still-use-this` option to be able
> to use the command. This really makes sure users cannot ignore the
> fact that the command is deprecated.
>
> Accordingly I think it would be nice if we started to emit warnings
> (that could possibly be disabled) when we find a repo still uses stuff
> in "branches/" and "remotes/". These would be much more difficult to
> miss or ignore than doc changes.

That's an excellent suggestion.  Even though this topic is about
introducing breaking changes, saying "we waited for long enough",
making sure we have prepared the user base for such changes to
lesson the impact of "breaking" changes is a very prudent thing to
do.

I guess everything is contained within remote.c these days?
Patches welcome ;-)

Thanks.